/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
/*:root {
  --ifm-color-primary: #2e8555;
  --ifm-color-primary-dark: #29784c;
  --ifm-color-primary-darker: #277148;
  --ifm-color-primary-darkest: #205d3b;
  --ifm-color-primary-light: #33925d;
  --ifm-color-primary-lighter: #359962;
  --ifm-color-primary-lightest: #3cad6e;
  --ifm-code-font-size: 95%;
}*/

@import url(https://fonts.googleapis.com/css?family=Josefin+Sans);
@import url(https://fonts.googleapis.com/css?family=Montserrat);

:root {
  --ifm-color-primary: #348EFA;
  --ifm-color-primary-dark: #0643af;
  --ifm-color-primary-darker: #0640a5;
  --ifm-color-primary-darkest: #053488;
  --ifm-color-primary-lighter: #0856df;
  --ifm-color-primary-lightest: #1969f7;
  --ifm-code-font-size: 95%;
  --ifm-footer-background-color: #E0473F;
  --ifm-font-family-base: 'Montserrat';
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
html[data-theme='dark'] {
  --ifm-color-primary: #348EFA;
  --ifm-color-primary-dark: #0643af;
  --ifm-color-primary-darker: #0640a5;
  --ifm-color-primary-darkest: #053488;
  --ifm-color-primary-lighter: #0856df;
  --ifm-color-primary-lightest: #1969f7;
  --ifm-code-font-size: 95%;
  --ifm-footer-background-color: #E0473F;
  --ifm-font-family-base: 'Montserrat';
}

:root nav.navbar {
  font-family: 'Montserrat';
}

.docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.1);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

html[data-theme='dark'] .docusaurus-highlight-code-line {
  background-color: rgba(0, 0, 0, 0.3);
}
